/*
 * Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */

/**
 * Provides classes and interfaces for supporting the server
 * side of RMI.  A group of classes are used by the stubs and skeletons
 * generated by the rmic stub compiler.  Another group of classes
 * implements the RMI Transport protocol and HTTP tunneling.
 *
 * <p><strong>Deprecated: HTTP Tunneling.</strong> <em>The HTTP tunneling
 * mechanism has been deprecated. See {@link java.rmi.server.RMISocketFactory} for
 * further information.</em>
 *
 * <p><strong>Deprecated: Skeletons and Static Stubs.</strong>
 *
 * <em>Skeletons and statically generated stubs are deprecated.  This
 * includes the APIs in this package that require the use of skeletons
 * or static stubs, the runtime support for them, and the use of the
 * {@code rmic} stub compiler to generate them.  Support for skeletons
 * and static stubs may be removed in a future release of the
 * platform. Skeletons are unnecessary, as server-side method dispatching
 * is handled directly by the RMI runtime. Statically generated stubs are
 * unnecessary, as stubs are generated dynamically using {@link
 * java.lang.reflect.Proxy Proxy} objects. See {@link
 * java.rmi.server.UnicastRemoteObject UnicastRemoteObject} for
 * information about dynamic stub generation. Generation of skeletons and
 * static stubs was typically performed as part of an application's build
 * process by calling the {@code rmic} tool. This is unnecessary, and
 * calls to {@code rmic} can simply be omitted.</em>
 *
 * @since 1.1
 */
package java.rmi.server;
